Skip to main content
POST
/
workflows
/
{workflowId}
/
executions
Create execution
curl --request POST \
  --url https://script.so/api/v1/workflows/{workflowId}/executions \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{
  "input": {}
}'
{
  "execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "initial",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

API key authentication. Get your key from Settings → API Keys.

Path Parameters

workflowId
string<uuid>
required

Workflow ID

Body

application/json

Request body for creating a new workflow execution

input
object

Input data for the workflow execution. Must match the workflow's input_schema if defined.

Response

Execution created

Response after successfully creating a workflow execution

execution_id
string<uuid>
required

Unique identifier for the created execution

workflow_id
string<uuid>
required

ID of the workflow being executed

status
enum<string>
required

Current execution status

Available options:
initial,
processing,
human_in_the_loop,
finished,
error
created_at
string<date-time>
required

Timestamp when the execution was created